DatacenterDatas (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.xml

## Class DatacenterDatas

- java.lang.Object
- - org.cloudbus.cloudsim.xml.DatacenterDatas

-     public class DatacenterDatas
      extends Object

  * This class contains all Datacenter parameters
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatacenterDatas()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(HostDatas h)`
    `String` | `getArch()`
    `ArrayList<HostDatas>` | `getArrayListHosts()`
    `double` | `getCost()`
    `double` | `getCostPerbW()`
    `double` | `getCostPerMem()`
    `double` | `getCostPerStorage()`
    `HostDatas` | `getHost(int index)`
    `String` | `getOs()`
    `double` | `getTimezone()`
    `String` | `getVmm()`
    `void` | `setArch(String arch)`
    `void` | `setCost(double cost)`
    `void` | `setCostPerbW(double costPerbW)`
    `void` | `setCostPerMem(double costPerMem)`
    `void` | `setCostPerStorage(double costPerStorage)`
    `void` | `setOs(String os)`
    `void` | `setTimezone(double timezone)`
    `void` | `setVmm(String vmm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatacenterDatas

          public DatacenterDatas()

  - ### Method Detail

    - #### getArch

          public String getArch()

    - #### setArch

          public void setArch(String arch)

    - #### getCost

          public double getCost()

    - #### setCost

          public void setCost(double cost)

    - #### getCostPerMem

          public double getCostPerMem()

    - #### setCostPerMem

          public void setCostPerMem(double costPerMem)

    - #### getCostPerStorage

          public double getCostPerStorage()

    - #### setCostPerStorage

          public void setCostPerStorage(double costPerStorage)

    - #### getOs

          public String getOs()

    - #### setOs

          public void setOs(String os)

    - #### getTimezone

          public double getTimezone()

    - #### setTimezone

          public void setTimezone(double timezone)

    - #### getVmm

          public String getVmm()

    - #### setVmm

          public void setVmm(String vmm)

    - #### getCostPerbW

          public double getCostPerbW()

    - #### setCostPerbW

          public void setCostPerbW(double costPerbW)

    - #### addHost

          public void addHost(HostDatas h)

    - #### getHost

          public HostDatas getHost(int index)

    - #### getArrayListHosts

          public ArrayList<HostDatas> getArrayListHosts()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.